> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.partnerpage.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.partnerpage.io/_mcp/server.

# Get all tiers

GET https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/{directoryId}/tiers/

Return the list of tiers belonging to a directory

Reference: https://docs.partnerpage.io/api-reference/directory/tiers/get-all-tiers

## Authentication

- `Authorization` header (required) (prefixed with ` Token   `) — Your API key, sent as `Authorization: Token <your API key>`

## Request

### Path parameters

- `directoryId` (string, required) — ID of the directory containing the tiers

## Response

### 200

Successful operation

- `list of TierSerializerReader`

## Errors

### 404 Not Found Error

Tier not found

- `any`

## Types

### TierSerializerReader

- `title` (string, required)
- `id` (string, required)
- `entriesCount` (integer, required)
- `entriesListUrl` (string, required)
- `default` (boolean, optional, nullable)
- `image` (string, optional, nullable)
- `imageUrl` (string, optional, nullable)
- `order` (integer, optional)

## Examples

**Response**

```json
[
  {
    "0": {
      "default": false,
      "entriesCount": 2,
      "entriesListUrl": "/api/directory/private/v1alpha/directories/efc35140-2c3f-4936-a3f8-b700ecafe6b5/tiers/c6118ecc-81db-4a9d-a11e-7868d223e3f4/entries/",
      "id": "c6118ecc-81db-4a9d-a11e-7868d223e3f4",
      "image": "https://image.domain.com/tier1.png",
      "imageUrl": "https://image.domain.com/tier1.png",
      "order": 0,
      "title": "Tier 1"
    },
    "1": {
      "default": true,
      "entriesCount": 2,
      "entriesListUrl": "/api/directory/private/v1alpha/directories/efc35140-2c3f-4936-a3f8-b700ecafe6b5/tiers/351f8d15-2f88-4649-929f-32e4550a9fd8/entries/",
      "id": "351f8d15-2f88-4649-929f-32e4550a9fd8",
      "image": "https://image.domain.com/tier2.png",
      "imageUrl": "https://image.domain.com/tier2.png",
      "order": 1,
      "title": "Tier 2"
    },
    "title": "string",
    "id": "string",
    "entriesCount": 1,
    "entriesListUrl": "string"
  }
]
```

**SDK Code**

```python Example response
import requests

url = "https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/directoryId/tiers/"

headers = {"Authorization": "Token  <apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Example response
const url = 'https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/directoryId/tiers/';
const options = {method: 'GET', headers: {Authorization: 'Token  <apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```